"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.addListener = void 0;
exports.initialize = initialize;
exports.isSurveyAvailable = isSurveyAvailable;
exports.show = show;

var _reactNative = require("react-native");

const LINKING_ERROR = `The package 'react-native-theorem-reach-ld' doesn't seem to be linked. Make sure: \n\n` + _reactNative.Platform.select({
  ios: "- You have run 'pod install'\n",
  default: ''
}) + '- You rebuilt the app after installing the package\n' + '- You are not using Expo managed workflow\n';
const TheoremReachLd = _reactNative.NativeModules.TheoremReachLd ? _reactNative.NativeModules.TheoremReachLd : new Proxy({}, {
  get() {
    throw new Error(LINKING_ERROR);
  }

});
const eventEmitter = new _reactNative.NativeEventEmitter(TheoremReachLd);

const addListener = (type, handler) => {
  return eventEmitter.addListener(type, handler);
};

exports.addListener = addListener;

function show(placementId) {
  TheoremReachLd.show(placementId);
}

function initialize(_ref) {
  let {
    apiKey,
    userId
  } = _ref;
  TheoremReachLd.initialize(apiKey, userId);
}

function isSurveyAvailable() {
  return TheoremReachLd.isSurveyAvailable();
}
//# sourceMappingURL=index.js.map