import { NativeEventEmitter, NativeModules, Platform } from 'react-native';
const LINKING_ERROR = `The package 'react-native-theorem-reach-ld' doesn't seem to be linked. Make sure: \n\n` + Platform.select({
  ios: "- You have run 'pod install'\n",
  default: ''
}) + '- You rebuilt the app after installing the package\n' + '- You are not using Expo managed workflow\n';
const TheoremReachLd = NativeModules.TheoremReachLd ? NativeModules.TheoremReachLd : new Proxy({}, {
  get() {
    throw new Error(LINKING_ERROR);
  }

});
const eventEmitter = new NativeEventEmitter(TheoremReachLd);
export const addListener = (type, handler) => {
  return eventEmitter.addListener(type, handler);
};
export function show(placementId) {
  TheoremReachLd.show(placementId);
}
export function initialize(_ref) {
  let {
    apiKey,
    userId
  } = _ref;
  TheoremReachLd.initialize(apiKey, userId);
}
export function isSurveyAvailable() {
  return TheoremReachLd.isSurveyAvailable();
}
//# sourceMappingURL=index.js.map